Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_debug.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-PW6_calypso_tools.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir> 
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,2 +31,4 @@
 %USER_INC            %NCDF_INC
 %USER_LIB            %NCDF_LIB 
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-gfortran_athena_xios.fcm	(revision 6014)
@@ -25,4 +25,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -56,2 +58,5 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB  -lnetcdff -lnetcdf -lstdc++ -lz -lcurl -lgpfs
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_debug.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_tools.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC additional include files for the compiler, e.g. -I<include dir>
 # USER_LIB additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
@@ -29,3 +31,5 @@
 %USER_INC %NCDF_INC
 %USER_LIB %NCDF_LIB
+%CC                  icc
+%CFLAGS              -O0
 
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/CMCC/arch-ifort_athena_xios.fcm	(revision 6014)
@@ -25,4 +25,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -55,2 +57,4 @@
 %USER_INC            %XIOS_INC %NCDF_INC %HDF5_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %HDF5_LIB
+%CC                  icc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/INGV/arch-IBM_EKMAN_INGV.fcm	(revision 6014)
@@ -15,8 +15,10 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/srv/lib/netcdf-x/include
 %NCDF_LIB            -L/srv/lib/netcdf-x/lib -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lcurl -lstdc++
-%XIOS_ROOT           /home/delrosso/XIOS_482/XIOS
+%XIOS_ROOT           /home/delrosso/XIOS_1.0/xios-1.0
 %MPI_INTEL           -I/srv/intel/impi/4.1.0.024/include
 %CPP                 cpp
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/OLD/arch-ifort_MERCATOR_CLUSTER.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/OLD/arch-ifort_MERCATOR_CLUSTER.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/OLD/arch-ifort_MERCATOR_CLUSTER.fcm	(revision 6014)
@@ -16,14 +16,17 @@
 
 %NCDF_INC            -I$NETCDF_INC
-%NCDF_LIB            -L $NETCDF_LIB -lnetcdf
+%NCDF_LIB            -L$NETCDF_LIB -lnetcdff -lnetcdf -L$HDF5_LIB -lhdf5_hl -lhdf5 -lz
+
+%CPP                 cpp
 %FC                  mpif90
-%FCFLAGS             -assume byterecl -convert big_endian -i4 -r8 -O2 -fp-model precise
+%FCFLAGS             -O2 -fp-model precise  -traceback -r8  -convert big_endian -assume byterecl
 %FFLAGS              %FCFLAGS
-%LD                  mpif90
+%LD                   mpif90
 %FPPFLAGS            -P -C -traditional
-%LDFLAGS             -O2 -shared-intel 
+%LDFLAGS             -O2
 %AR                  ar
-%ARFLAGS             -r
+%ARFLAGS             -rs
 %MK                  gmake
-%USER_INC            %NCDF_INC
-%USER_LIB            %NCDF_LIB
+%USER_INC            -I$XIOS_INC %NCDF_INC
+%USER_LIB            -L$XIOS_LIB -lxios %NCDF_LIB -lstdc++
+
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-ALTIX_NAUTILUS_MPT.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,2 +60,5 @@
 #FCFLAGS             -g -traceback -r8 -O0 -xT -ip -vec-report0
 #FFLAGS              -g -traceback -r8 -O0 -xT -ip -vec-report0
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_C2A_XIO.fcm	(revision 6014)
@@ -17,4 +17,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -48,2 +50,5 @@
 %USER_INC            %XIOS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %NCDF_LIB %XLF90_LIB
+
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_METO.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_METO.fcm	(revision 6014)
@@ -15,14 +15,16 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 
-%NCDF_INC            -I/home/cr/ocean/hadcv/netcdf/4.1.3_seq/include
-%NCDF_LIB            -L/home/cr/ocean/hadcv/netcdf/4.1.3_seq/lib -lnetcdf -lnetcdff -lhdf5 -lhdf5_hl -lhdf5_fortran -lz
-%XIOS_INC            -I/home/cr/ocean/hadcv/xios_lib/par/r521/xios/inc
-%XIOS_LIB            -L/home/cr/ocean/hadcv/xios_lib/par/r521/xios/lib -lxios
+%NCDF_INC            -I/home/cr/ocean/hadcv/netcdf/4.1.3_par/include
+%NCDF_LIB            -L/home/cr/ocean/hadcv/netcdf/4.1.3_par/lib -lnetcdf -lnetcdff -lhdf5 -lhdf5_hl -lhdf5_fortran -lz
+%XIOS_INC            -I/home/cr/ocean/hadcv/xios_lib/par/r618/xios/inc
+%XIOS_LIB            -L/home/cr/ocean/hadcv/xios_lib/par/r618/xios/lib -lxios
 %CPP	             cpp
 %FC                  mpxlf90_r
 %FCFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
-%FFLAGS              -qrealsize=8 -qextname -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF -qfixed
+%FFLAGS             -qrealsize=8 -qextname -qsuffix=f=f90 -qarch=pwr7 -qtune=pwr7 -g -O2 -qstrict -qinitauto=7FBFFFFF
 %LD                  mpCC_r
 %LDFLAGS             -lxlf90 -L/projects/um1/lib -lsig -O2 -L MASS
@@ -33,2 +35,4 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-PW7_MONSOON.fcm	(revision 6014)
@@ -15,4 +15,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 
 %NCDF_INC            -I/home/dcalve/netcdf/4.1.3_seq/include
@@ -32,2 +34,5 @@
 %USER_INC            %NCDF_INC %XIOS_INC
 %USER_LIB            %NCDF_LIB %XIOS_LIB
+
+%CC                  xlc
+%CFLAGS              -O -qcpluscmt
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -32,5 +34,6 @@
 %HDF5_HOME           /smplocal/pub/HDF5/1.8.9/par
 %XIOS_HOME           $WORKDIR/XIOS
-%OASIS_HOME          /not/yet/defined
+####%OASIS_HOME          $WORKDIR/oasis3-mct/BLD
+%OASIS_HOME          /not/defined
 
 %NCDF_INC            -I%NCDF_HOME/include 
@@ -53,2 +56,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  icc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_ADA_O0.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  icc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_CURIE.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_CURIE.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -29,7 +31,7 @@
 #  - fcm variables are starting with a % (and not a $)
 #
-%NCDF_HOME           /usr/local/netcdf-4.2_hdf5_parallel
-%HDF5_HOME           /usr/local/hdf5-1.8.9_parallel
-%XIOS_HOME           $WORKDIR/now/models/xios
+%NCDF_HOME            /usr/local/netcdf-4.3.3.1_hdf5_parallel
+%HDF5_HOME           /usr/local/hdf5-1.8.12_parallel
+%XIOS_HOME           $WORKDIR/xios-1.0
 %OASIS_HOME          $WORKDIR/now/models/oa3mct
 
@@ -58,2 +60,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_MOBILIS.fcm	(revision 6014)
@@ -29,4 +29,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -58,2 +60,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_VAYU.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_VAYU.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-X64_YELLOWSTONE.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -53,2 +55,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC40_METO.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC40_METO.fcm	(revision 6014)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC40_METO.fcm	(revision 6014)
@@ -0,0 +1,57 @@
+# compiler options for Archer CRAY XC-40 (using crayftn compiler)
+#
+# NCDF_HOME   root directory containing lib and include subdirectories for netcdf4
+# HDF5_HOME   root directory containing lib and include subdirectories for HDF5
+# XIOS_HOME   root directory containing lib for XIOS
+# OASIS_HOME  root directory containing lib for OASIS
+#
+# NCDF_INC    netcdf4 include file
+# NCDF_LIB    netcdf4 library
+# XIOS_INC    xios include file    (taken into accound only if key_iomput is activated)
+# XIOS_LIB    xios library         (taken into accound only if key_iomput is activated)
+# OASIS_INC   oasis include file   (taken into accound only if key_oasis3 is activated)
+# OASIS_LIB   oasis library        (taken into accound only if key_oasis3 is activated)
+#
+# FC          Fortran compiler command
+# FCFLAGS     Fortran compiler flags
+# FFLAGS      Fortran 77 compiler flags
+# LD          linker
+# LDFLAGS     linker flags, e.g. -L<lib dir> if you have libraries
+# FPPFLAGS    pre-processing flags
+# AR          assembler
+# ARFLAGS     assembler flags
+# MK          make
+# USER_INC    complete list of include files
+# USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
+#
+# Note that:
+#  - unix variables "$..." are accpeted and will be evaluated before calling fcm.
+#  - fcm variables are starting with a % (and not a $)
+#
+%NCDF_HOME           /opt/cray/netcdf-hdf5parallel/4.3.2/CRAY/83
+%HDF5_HOME           /opt/cray/hdf5-parallel/1.8.13/CRAY/83
+%XIOS_HOME           /projects/ocean/nemo/xios/xios_1.0_r629_20150625/XIOS
+
+%NCDF_INC            -I%NCDF_HOME/include -I%HDF5_HOME/include
+%NCDF_LIB            -L%HDF5_HOME/lib -L%NCDF_HOME/lib -lnetcdff -lnetcdf -lhdf5_hl -lhdf5 -lz
+%XIOS_INC            -I%XIOS_HOME/inc 
+%XIOS_LIB            -L%XIOS_HOME/lib -lxios
+
+%CPP                 cpp
+%FC                  ftn
+%FCFLAGS             -emf -s real64 -s integer32  -O2 -hflex_mp=intolerant -Rb
+%FFLAGS              -emf -s real64 -s integer32  -O0 -hflex_mp=strict -Rb
+%LD                  ftn
+%FPPFLAGS            -P -E -traditional-cpp
+%LDFLAGS             -hbyteswapio 
+%AR                  ar 
+%ARFLAGS             -r
+%MK                  gmake
+
+%USER_INC            %XIOS_INC
+%USER_LIB            %XIOS_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -57,2 +59,5 @@
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-XC_ARCHER_INTEL.fcm	(revision 6014)
@@ -24,4 +24,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -55,2 +57,5 @@
 #USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 #USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-macport_osx.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-macport_osx.fcm	(revision 6014)
@@ -33,4 +33,6 @@
 # USER_INC    complete list of include files
 # USER_LIB    complete list of libraries to pass to the linker
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 #
 # Note that:
@@ -40,5 +42,5 @@
 %NCDF_HOME           /opt/local
 %HDF5_HOME           /opt/local
-%XIOS_HOME           /Users/$( whoami )/XIOS
+%XIOS_HOME           /Users/$( whoami )/xios-1.0
 %OASIS_HOME          /not/defined
 
@@ -62,2 +64,5 @@
 %USER_INC            %XIOS_INC %OASIS_INC %NCDF_INC
 %USER_LIB            %XIOS_LIB %OASIS_LIB %NCDF_LIB
+
+%CC                  cc
+%CFLAGS              -O0
Index: branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm
===================================================================
--- branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 5188)
+++ branches/2015/dev_r5187_UKMO13_simplification/NEMOGCM/ARCH/arch-openmpi_NAVITI_MERCATOR.fcm	(revision 6014)
@@ -13,4 +13,6 @@
 # USER_INC    additional include files for the compiler,  e.g. -I<include dir>
 # USER_LIB    additional libraries to pass to the linker, e.g. -l<library>
+# CC          C compiler used to compile conv for AGRIF
+# CFLAGS      compiler flags used with CC
 # debug: -g  -check bounds -check uninit -check pointers -traceback
 
@@ -21,5 +23,5 @@
 %CPP	             cpp
 %FC                  mpif90
-%FCFLAGS             -O2 -fp-model precise  -traceback -r8  -convert big_endian -assume byterecl
+%FCFLAGS             -O1 -fp-model precise  -traceback -r8  -convert big_endian -assume byterecl
 %FFLAGS              %FCFLAGS
 %LD                   mpif90
@@ -31,2 +33,5 @@
 %USER_INC            -I$XIOS_INC %NCDF_INC
 %USER_LIB            -L$XIOS_LIB -lxios %NCDF_LIB -lstdc++
+
+%CC                  cc
+%CFLAGS              -O0